com.ihr.xbrl.om

## Interface XBRLPlugInProcessor

- All Known Subinterfaces:
    XBRLCompilableProcessor
  All Known Implementing Classes:
    AutoFillProcessor, EFMProcessor, ExtensibleEnumerationsProcessor, FlFormulaProcessor, IXBRLProcessor, RenderHintsProcessor, UTRProcessor, XBRLAppPropsProcessor, XBRLCoreProcessor, XBRLFormulaProcessor, XBRLTableProcessor, XDTProcessor

      public interface XBRLPlugInProcessor

  This interface contains methods for the declaration of a plug-in processor that will be integrated with Reporting Standard XBRL processor.

  Plug In Processors allow for extension of instance document and DTS validation Plug In Processors are registered to the DTSContainer and they are called in the sequece described in order to create a complete XBRLValidationReport that contains the valition result of all processors.

  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Called when the DTSContainer's clear method is called.
    `void` | `configure(java.util.Properties properties)` Configures the processor according with the properties passed in in the properties parameter.
    `java.lang.String` | `getDescription()` Returns the processor description so it can be written in validation reports.
    `java.lang.String` | `getName()` Returns the processor name so it can be written in validation reports.
    `boolean` | `isHidden()` A hidden processor will not pop-up in the GUI tabs.
    `XBRLValidationReport` | `validate()` Validates the content of the DTS according to the rules indicated in this plug-in processor.
    `XBRLValidationReport` | `validate(XBRLDocument xDocument)` Validates the document according to the rules indicated in this plug-in processor.

- - ### Method Detail

    - #### validate

          XBRLValidationReport validate()

      Validates the content of the DTS according to the rules indicated in this plug-in processor.

      This is the method that is called by the DTSContainer on each XBRLPlugInProcessor when the validation() method is called on the DTSContainer instance.

      Returns:
        an XBRLValidationReport object `XBRLValidationReport`

    - #### validate

          XBRLValidationReport validate(XBRLDocument xDocument)

      Validates the document according to the rules indicated in this plug-in processor.
      Parameters:
        `xDocument` - the x document
      Returns:
        an XBRLValidationReport object `XBRLValidationReport`
      Since:
        2.7.2

    - #### getName

          java.lang.String getName()

      Returns the processor name so it can be written in validation reports.
      Returns:
        the name

    - #### getDescription

          java.lang.String getDescription()

      Returns the processor description so it can be written in validation reports.
      Returns:
        the description

    - #### configure

          void configure(java.util.Properties properties)

      Configures the processor according with the properties passed in in the properties parameter.
      Parameters:
        `properties` - the properties

    - #### isHidden

          boolean isHidden()

      A hidden processor will not pop-up in the GUI tabs.
      Returns:
        true if processor is hidden. False if the processor has a GUI

    - #### clear

          void clear()

      Called when the DTSContainer's clear method is called. Shall clean up resources and empty tables.